The Debian installer have started to install "reportbug-gtk" which
depends on "dconf-service" and "dbus-user-session" and "systemd".
And when we try to install "sysvinit-core" we are met with the
following error message:
> The following packages have unmet dependencies:
> dconf-service : Depends: default-dbus-session-bus or
> dbus-session-bus
So, remove that new package and its dependencies before moving on.
While here, add `set -x` to help debugging.
Signed-off-by: Anthony PERARD <anthony.perard@citrix.com>
# breaks ts-leak-check. Fall back to SysV init for now.
if ( $suite !~ /squeeze|wheezy/ ) {
preseed_hook_command($ho, 'late_command', $sfx, <<END)
+#!/bin/sh
+set -ex
+in-target apt-get remove --auto-remove -y reportbug-gtk
in-target apt-get install -y sysvinit-core
in-target apt-get remove -y systemd
END